API DocumentationShipments
Fulfil a released shipment
POST
Moves a RELEASED shipment to FULFILLED. Courier shipments must already have tracking.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>orderId*integerID of the order the shipment belongs to
Format
int64shipmentId*stringID of the released shipment to fulfil
Format
uuidShipment fulfilled successfully
application/json- response
A concrete shipment on an order. Discriminated by type.
id?stringFormat
uuidtype*stringValue in
"COURIER""COLLECTION"status?stringValue in
"PREPARED""RELEASED""FULFILLED"incoterm?stringValue in
"EXW""FCA""CPT""CIP""DAP""DPU""DDP""FAS""FOB""CFR""CIF"fromAddress*Address snapshot stored on the shipment. Do not send an address-book ID.
parcels*array<>preparedAt?stringFormat
date-timepreparedBy?releasedAt?stringFormat
date-timereleasedBy?fulfilledAt?stringFormat
date-timefulfilledBy?documents*array<>curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/fulfil'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "COURIER", "status": "PREPARED", "incoterm": "EXW", "fromAddress": { "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "jurisdictionIsoCode": "string", "residential": true, "taxId": "string" }, "parcels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "grossWeightGrams": 0, "netWeightGrams": 0, "value": 0, "width": 0, "height": 0, "length": 0, "allocations": [ { "requisitionId": 0, "quantity": 0 } ] } ], "preparedAt": "2019-08-24T14:15:22Z", "preparedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "releasedAt": "2019-08-24T14:15:22Z", "releasedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "fulfilledAt": "2019-08-24T14:15:22Z", "fulfilledBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "documents": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "contentType": "string", "size": 0, "uploadedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "createdAt": "2019-08-24T14:15:22Z" } ]}